This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 536737 - Review Request: yum-langpacks - langpacks plugin for yum
Review Request: yum-langpacks - langpacks plugin for yum
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 433512
  Show dependency treegraph
 
Reported: 2009-11-11 02:28 EST by Jens Petersen
Modified: 2009-12-21 22:48 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-21 22:48:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-11-11 02:28:23 EST
Spec URL: yum-langpacks.spec
SRPM URL: http://petersen.fedorapeople.org/yum-langpacks/yum-langpacks.spec
Description: http://petersen.fedorapeople.org/yum-langpacks/yum-langpacks-0.1.3-1.fc12.src.rpm

https://fedoraproject.org/wiki/Features/YumLangpackPlugin

This is a simple YUM plugin which when installed enables
automatic installation of langpacks of packages when they
get installed.
Comment 1 Thomas Spura 2009-11-11 07:54:31 EST
Just a few comments:

- BR: python-setuptools is enought not -devel
- Could not download the source -> 404, had to unpack the src.rpm
- rpmlint:
  $ rpmlint yum-langpacks.spec yum-langpacks-0.1.3-1.fc11.src.rpm noarch/yum-
  langpacks-0.1.3-1.fc11.noarch.rpm
  yum-langpacks.spec:36: E: hardcoded-library-path in /usr/lib/yum-plugins
  /langpacks.py*
  yum-langpacks.src:36: E: hardcoded-library-path in /usr/lib/yum-plugins
  /langpacks.py*
  yum-langpacks.noarch: W: incoherent-version-in-changelog 0.1.2-1 
  ['0.1.3-1.fc11', '0.1.3-1']
  yum-langpacks.noarch: E: non-executable-script /usr/lib/yum-plugins
  /langpacks.py 0644 /bin/env
  2 packages and 1 specfiles checked; 3 errors, 1 warnings.

  * non-execuatble-script: see http://fedoraproject.org/wiki/PackagingTricks#Remove_shebang_from_files
Comment 2 Jason Tibbitts 2009-11-14 12:17:09 EST
Is this related to bug 512663 in any way?  Does one depend on the other?
Comment 3 Jens Petersen 2009-11-15 21:29:44 EST
(In reply to comment #1)
> - BR: python-setuptools is enough not -devel

This is my first python package and I believe you,
but what about http://fedoraproject.org/wiki/Packaging/Python/Eggs#Providing_Eggs_using_Setuptools ?

(I "stole" the spec file from yum-presto fwiw;)

So I think the Packaging Guidelines need updating then?

> - Could not download the source -> 404, had to unpack the src.rpm

Thanks - fixed.

>   yum-langpacks.spec:36: E: hardcoded-library-path in /usr/lib/yum-plugins
>   /langpacks.py*
>   yum-langpacks.src:36: E: hardcoded-library-path in /usr/lib/yum-plugins
>   /langpacks.py*

I can use _prefix but I think this is basically correct for yum-plugins.
At least other plugins packages are doing the same thing.

>   yum-langpacks.noarch: W: incoherent-version-in-changelog 0.1.2-1 
>   ['0.1.3-1.fc11', '0.1.3-1']

fixing

>   yum-langpacks.noarch: E: non-executable-script /usr/lib/yum-plugins
>   /langpacks.py 0644 /bin/env

thanks - fixed.


Spec URL: http://petersen.fedorapeople.org/yum-langpacks/yum-langpacks.spec
SRPM URL: http://petersen.fedorapeople.org/yum-langpacks/yum-langpacks-0.1.4-1.fc12.src.rpm

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1808500
Comment 4 Jens Petersen 2009-11-15 21:30:41 EST
(In reply to comment #2)
> Is this related to bug 512663 in any way?

Thanks for asking - I got round to closing it today:
I think it is no longer needed.
Comment 5 Parag AN(पराग) 2009-12-02 00:17:39 EST
+ is Ok
- Needs work

Review:
+ package builds in mock (rawhide i686).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1842652
+ rpmlint is NOT silent for SRPM but is silent for RPM.
yum-langpacks.src:36: E: hardcoded-library-path in %{_prefix}/lib/yum-plugins/langpacks.py*
==>rpmlint message looks ok and can be ignored as this is noarch package.
- Source URL is not working.
+ source files match(sha1sum) upstream url 
http://petersen.fedorapeople.org/yum-langpacks/yum-langpacks-0.1.4.tar.gz as
679464156861fb0af5d791d501f8eb597e10d518  yum-langpacks-0.1.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application


Suggestions:
1) Note that you can safely remove buildroot tag and cleanup of buildroot as per givaen at
http://fedoraproject.org/wiki/PackagingGuidelines#BuildRoot_tag and http://fedoraproject.org/wiki/PackagingGuidelines#Prepping_BuildRoot_For_.25install

2) update source url to correct download url.
 
3) Use %global instead of %define as per given at http://fedoraproject.org/wiki/PackagingGuidelines#.25global_preferred_over_.25define

4) remove unnecessary Requires: python >=2.4
Comment 7 Parag AN(पराग) 2009-12-10 06:16:07 EST
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1866911

Please verify again for
- drop buildroot 


-----------------
Package APPROVED
-----------------
Comment 8 Jens Petersen 2009-12-16 20:11:49 EST
New Package CVS Request
=======================
Package Name: yum-langpacks
Short Description: Yum plugin that installs langpacks for packages
Owners: petersen
Branches: F-11 F-12 
InitialCC: i18n-team
Comment 9 Kevin Fenzi 2009-12-21 14:50:20 EST
cvs done.
Comment 10 Jens Petersen 2009-12-21 22:48:44 EST
Package imported and built - thanks.

Note You need to log in before you can comment on or make changes to this bug.